Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QGraphicsView.DragMode

    java.lang.Object
      java.lang.Enum<QGraphicsView.DragMode>
          com.trolltech.qt.gui.QGraphicsView.DragMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QGraphicsView.DragMode>

Enclosing class:
  QGraphicsView

    public static enum QGraphicsView.DragMode

extends java.lang.Enum<QGraphicsView.DragMode>
implements QtEnumerator

This enum describes the default action for the view when pressing and dragging the mouse over the viewport.

See Also:
  `dragMode`, `QGraphicsScene::setSelectionArea`

Enum Constant Summary
`NoDrag` Nothing happens; the mouse event is ignored.
`RubberBandDrag` A rubber band will appear.
`ScrollHandDrag` The cursor changes into a pointing hand, and dragging the mouse around will scroll the scrolbars.

Method Summary
`static QGraphicsView.DragMode` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QGraphicsView.DragMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QGraphicsView.DragMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoDrag

    public static final QGraphicsView.DragMode NoDrag

  Nothing happens; the mouse event is ignored.

### ScrollHandDrag

    public static final QGraphicsView.DragMode ScrollHandDrag

  The cursor changes into a pointing hand, and dragging the mouse around will scroll the scrolbars. This mode works both in interactive and non-interactive mode.

### RubberBandDrag

    public static final QGraphicsView.DragMode RubberBandDrag

  A rubber band will appear. Dragging the mouse will set the rubber band geometry, and all items covered by the rubber band are selected. This mode is disabled for non-interactive views.

Method Detail

### values

    public static final QGraphicsView.DragMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QGraphicsView.DragMode c : QGraphicsView.DragMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QGraphicsView.DragMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QGraphicsView.DragMode resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD